%define ver 0.2.0
%define extension tar.gz

Summary:	A browser with gecko engine.
Name:		kazehakase
Version:	%{ver}
Release: 	1
URL: 		http://kazehakase.sourceforge.jp
Source0: 	%{name}-%{version}.%{extension}
License: 	GPL
Group: 		Applications/Internet
BuildRoot: 	%{_tmppath}/%{name}-root
Packager: 	Yuhei Matsunaga <yuhei@users.sourceforge.jp>
BuildRequires: 	mozilla-devel >= 1.4.1, gtk+-devel >= 2.0.0
%requires_eq	mozilla

%description
Kazehakase is a browser with gecko engine like Epiphany or Galeon.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --enable-migemo
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.ja AUTHORS ChangeLog COPYING.README TODO.ja
%{_sysconfdir}/kazehakase/bookmarkbar.xml
%{_sysconfdir}/kazehakase/bookmarks.xml
%{_sysconfdir}/kazehakase/kz-ui-beginner.xml
%{_sysconfdir}/kazehakase/kz-ui-bookmarks.xml
%{_sysconfdir}/kazehakase/kz-ui-expert.xml
%{_sysconfdir}/kazehakase/kz-ui-medium.xml
%{_sysconfdir}/kazehakase/kzrc
%{_sysconfdir}/kazehakase/proxyrc
%{_sysconfdir}/kazehakase/smartbookmarks.xml
%{_bindir}/kazehakase
%{_bindir}/kz
%{_datadir}/applications/kazehakase.desktop
%{_datadir}/kazehakase/icons/*.png
%{_datadir}/locale/ja/LC_MESSAGES/kazehakase.mo
%{_datadir}/pixmaps/kazehakase-icon.png
%{_datadir}/kazehakase/kz-no-thumbnail.png
%{_datadir}/kazehakase/search-result.css

%changelog
* Wed Sep 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.0-1
- Updated version.
* Mon Aug 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.9-1
- Updated version.
- Added gtk+-devel to BuildRequires.
- Changed filelist.
* Mon Aug 09 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8.1-2
- The version of mozilla when building rpm was used.
- Added patch tp build with mozilla 1.7.2.
* Fri Jul 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8.1-1
- Updated version.
* Fri Jul 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8-1
- Updated version.
- Changed filelist.
* Wed Jun 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-2
- Added middleclick patch.
* Tue Jun 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-1
- Updated version.
- Changed filelist.
* Sat May 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.6-1
- Updated version.
* Sun May 02 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.5-1
- Updated version.
* Tue Mar 31 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.4-1
- Updated version.
- Changed icons file names in files section.
* Tue Mar 02 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.3-1
- Updated version.
* Thu Jan 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.2-1
- Updated version.
- Added kz-anchor.png
* Mon Dec 29 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.1-1
- Updated version.
- Changed Requires and BuildRequires to from 1.4.1.
- Changed Group to Applications/Internet.
* Sat Dec 06 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.0-1
- Initial build.
